Bug 980340 - Job schema should be versioned on beaker-project.org
Job schema should be versioned on beaker-project.org
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
0.13
Unspecified Unspecified
medium Severity medium (vote)
: 19.1
: ---
Assigned To: Dan Callaghan
tools-bugs
: Documentation, Patch
Depends On: 979999
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 02:28 EDT by Nick Coghlan
Modified: 2018-02-05 19:41 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 979999
Environment:
Last Closed: 2014-12-17 03:40:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2013-07-02 02:28:19 EDT
The schema for Beaker jobs is currently published directly in its own top level directory on beaker-project.org.

This isn't valid, as it means all versions of the documentation end up linking to the latest version of the schema, instead of a version that accurately reflects the schema supported by that release.

The schema should be published under the version specific docs, docs-develop, docs-release-0.13 (etc) directories based on the version in Common/bkr/common/schema.
Comment 2 Dan Callaghan 2014-11-25 23:42:28 EST
http://gerrit.beaker-project.org/3516

Needed for web site build improvements.
Comment 3 Dan Callaghan 2014-12-04 20:03:11 EST
This change is now visible here:

https://beaker-project.org/docs-release-19/

"RELAX NG schema for Beaker jobs" links to:

https://beaker-project.org/docs-release-19/_downloads/beaker-job.rng

which is part of the branch docs, instead of the previous location under /schemas/. So that means we will have a separate copy of the schema for each branch that evolves in sync with the branch.
Comment 5 Dan Callaghan 2014-12-17 03:40:16 EST
Beaker 19.1 is released.

Note You need to log in before you can comment on or make changes to this bug.